package com.avaya.ccs.javafxrefclient.request;
import com.avaya.ccs.javafxrefclient.Logger;

public class OpenMediaDataRequest extends InteractionRequest{
	  private static final Logger LOG = Logger.getLogger(OpenMediaDataRequest.class);
	  
	  	String interactionId;
	  	
	    public OpenMediaDataRequest(String interactionID) {
	        super(LOG, interactionID);
	        LOG.info("OpenMediaDataRequest", "interactionId: "+interactionID);
	        this.interactionId=interactionID;
	    }

	    /**
	     * The call method executes on the outgoingRequest thread
	     *
	     * @return
	     * @throws Exception
	     */
	    @Override
	    protected Object call() throws Exception {
	        String methodName = "call() ";
	        LOG.info(methodName + "+");	        
	        getInteraction().openMedia();
	        LOG.info(methodName + "-"); 
	        return null;
	    }
	    	    
}
